Subject: Re: [PATCH v15 00/13] fsmonitor: implement filesystem change listener for Linux

From: Ben Knoble <[email-masked]>
Date: Wed, 15 Apr 2026 17:17:55 -0400

> 
> Le 15 avr. 2026 à 14:43, Junio C Hamano <[email-masked]> a écrit :
> 
> Ben Knoble <[email-masked]> writes:
> 
>>>> Le 15 avr. 2026 à 09:27, Paul Tarjan via GitGitGadget <[email-masked]> a écrit :
>>> 
>>> This series implements the built-in fsmonitor daemon for Linux using the
>>> inotify API, bringing it to feature parity with the existing Windows and
>>> macOS implementations. It also fixes two memory leaks in the
>>> platform-independent daemon code and deduplicates the IPC and settings logic
>>> that is now shared between macOS and Linux.
>> 
>> Troubleshooting a Gentoo build failure of next has me pretty
>> convinced this topic is in there already. Junio should probably
>> check my math, but I think that means we want to see fixes on top
>> of that base now (unless we are reverting this topic from next and
>> queuing a new version?).
>> 
>> (The failure is a Gentoo-ism; we carry a patch that stops applying
>> with this series. Not anything this project needs to worry about.)
> 
> I reverted it yesterday out of 'next'.  I do not recall I had a
> chance to push it out, but my intention is keep this round in 'seen'
> but out of 'next' until people are happy with it (which means folks
> who test diligently like you do would need to peek into 'seen' as
> well as 'next').

Thanks. Hopefully I’ll get to both seen and next soon.